Bug report #15761

Please provide a Toolbox interface to SAGA 3

Added by vince - almost 4 years ago. Updated about 3 years ago.

Status:Rejected
Priority:Low
Assignee:-
Category:Unknown
Affected QGIS version:2.18.0 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:duplicate
Crashes QGIS or corrupts data:No Copied to github as #:23683

Description

Folks,

this is just to remember you that SAGA 3 has been released and it'd be nice to have the new API integrated into the toolbox, especially since I never could made SAGA 2 work properly on OS X. There was a bug in the command line interpreter that seems to have been solved in 3, so 3.0 works, but 2.x doesn't.

So yes. This would be much appreciated.

But of course, it's not that urgent.

Great jobs, guy, keep up the wonderful work!

History

#1 Updated by Donovan Cameron almost 4 years ago

Just an FYI,

In a SAGA GIS mailing list posting, it's currently been discussed to get QGIS' processing to focus support on SAGA LTS version which is 2.3.x

Then when QGIS 3 comes out, to then implement SAGA 3 support.

There's also an #15747 open with QGIS to track efforts on the saga gis 2.2 > 2.3 changes.

#2 Updated by vince - almost 4 years ago

Thanks!
Problem is, as I noted, I never got SAGA 2 to work on OS X. For whatever unknown reason, the parsing of the commands went haywire from 2.1.x on.

It’s fixed in 3, fortunately. That’s why I was hoping for an API overhaul or maybe, as it's been done for Grass, a double API. But never mind, I can use SAGA as a standalone application, even though this is less convenient.

Cheers!

#3 Updated by Alexander Bruy almost 4 years ago

  • Resolution set to duplicate
  • Status changed from Open to Rejected

Duplicates #15747

#4 Updated by Jürgen Fischer about 3 years ago

  • Category set to Unknown

Also available in: Atom PDF